Subject: Re: Update of RFC 2606 based on the recent ICANN changes ?

From: Mark Andrews <[email-masked]>
Date: Wed, 09 Jul 2008 11:51:34 +1000

>>> It's nonsensical for an application to decide that relative names are 
>>> unacceptable, but to require users to input names as relative.
>>
>> it's nonsensical for you to unilaterally declare that such names are 
>> relative, when well over two decades of practice indicates otherwise.
> 
> I didn't declare it; 1034 did. 

	And RFC 1535 got resolvers to try search lists last if there
	was a period in the name.   This removed the need for final
	periods for any legal fully qualified host name.

	"hk" is not a legal fully qualified host name.  Demanding that
	applications support final dots to support uses that are outside
	of the original design scope is nonsensical.

	Mark
-- 
Mark Andrews, ISC
1 Seymour St., Dundas Valley, NSW 2117, Australia
PHONE: +61 2 9871 4742                 INTERNET: [email-masked]
_______________________________________________
Ietf mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/ietf

---

From: Joe Touch <[email-masked]>
Date: Tue, 08 Jul 2008 21:32:58 -0700

> 	periods for any legal fully qualified host name.

First, 1535 is informational, so it doesn't get anyone to do anything 
per se. The SHOULD therein is nonbinding.

Second, that document is very clear about applying to relative names, 
not FQDNs.

Finally, "." is a legal FQDN. So is "a.". The lack of an internal "." 
means that the "more stringent mechanism..implemented in BIND 4.9.2" 
discussed in 1535 does not apply.

I.e., 1535 describes an implementation decision to assume that:\
	<has internal "."> implies <is a FQDN>

The converse does not follow, i.e.:
	<is a FQDN> does NOT imply <has an internal ".">

> 	"hk" is not a legal fully qualified host name.

Agreed. "hk.", however, is.

 >       Demanding that

What uses? Specifying that the trailing "." means FQDN is defined in the 
DNS spec (1034). Apps that interpret names as DNS names need to follow 
that spec. Period (pun intended).

Joe

---

From: Mark Andrews <[email-masked]>
Date: Wed, 09 Jul 2008 15:14:40 +1000

> This is an OpenPGP/MIME signed message (RFC 2440 and 3156)
> --------------enigB56BE6D16B38F294AC1B9ED5
> Content-Type: text/plain; charset=ISO-8859-1; format=flowed
> Content-Transfer-Encoding: quoted-printable
> 
> Mark Andrews wrote:
> >>>> It's nonsensical for an application to decide that relative names ar=
> e=20
> >>> it's nonsensical for you to unilaterally declare that such names are =
> 
> >>> relative, when well over two decades of practice indicates otherwise.=
> 
>  >>
> >> I didn't declare it; 1034 did.=20
> >=20
> First, 1535 is informational, so it doesn't get anyone to do anything=20
> Second, that document is very clear about applying to relative names,=20
> not FQDNs.
> 
> Finally, "." is a legal FQDN. So is "a.". The lack of an internal "."=20
> means that the "more stringent mechanism..implemented in BIND 4.9.2"=20

	No, it is not a legal hostname. 

	RFC 952 explicitly excludes trailing periods.

	"The last character must not be a minus sign or period."

> What uses? Specifying that the trailing "." means FQDN is defined in the =
> 
> DNS spec (1034). Apps that interpret names as DNS names need to follow=20
> --------------enigB56BE6D16B38F294AC1B9ED5
> Content-Type: application/pgp-signature; name="signature.asc"
> Content-Description: OpenPGP digital signature
> Content-Disposition: attachment; filename="signature.asc"
> 
> -----BEGIN PGP SIGNATURE-----
> Version: GnuPG v1.4.7 (MingW32)
> Comment: Using GnuPG with Mozilla - http://enigmail.mozdev.org
> 
> iD8DBQFIdD97E5f5cImnZrsRAkqyAJ9OjjvNGysnfpPL1p3xlQQfcqp1jwCg+eaG
> mTV7pl7RuGUtUoijPzh4xgE=
> =QUeZ
> -----END PGP SIGNATURE-----
> 
> --------------enigB56BE6D16B38F294AC1B9ED5--

---

From: Joe Touch <[email-masked]>
Date: Wed, 09 Jul 2008 07:18:22 -0700

Mark Andrews wrote:
...
> 	RFC 952 explicitly excludes trailing periods.

RFC 952 is not a standard.

Joe